%global gitver 5db45da
%global mainver 2.0

Name:           kde-plasma-applicationname
Version:        2.0
Release:        2%{?dist}
Summary:        QML plasmoid to display the application title of the focused window

License:        LGPLv2+
URL:            https://github.com/scarpin0/applicationname-plasmoid
# https://github.com/ilpianista/applicationname-plasmoid/tarball/%%{mainver}
Source0:        ilpianista-applicationname-plasmoid-%{mainver}-0-g%{gitver}.tar.gz

BuildArch:      noarch
BuildRequires:  kdebase-workspace-devel
Obsoletes:      %{name}-1.7%{gitver}

%description
A QML plasmoid to display the application name of the focused window.

Features:
* Shows the application name of the focused windows
* Shows the activity name if no window is focused
* Optionally, it shows the window title (enable this option in the settings)

%prep
%setup -q -n ilpianista-applicationname-plasmoid-%{gitver}

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ../
popd
make %{?_smp_mflags} -C %{_target_platform}

%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

%files
%doc README.md
%{_kde4_appsdir}/plasma/plasmoids/applicationname/
%{_kde4_datadir}/kde4/services/plasma-applet-applicationname.desktop


%changelog
* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Jan 11 2015 Mario Blättermann <mariobl@fedoraproject.org> - 2.0-1
- New upstream version
- Spec file cleanup

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Oct 23 2013 Mario Blättermann <mariobl@fedoraproject.org> - 1.9-1
- New upstream version

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.7-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Jul 09 2013 Mario Blättermann <mariobl@fedoraproject.org> - 1.7-3
- Removed the git version
- Added Obsoletes to get a proper upgrade path

* Sat Jun 15 2013 Mario Blättermann <mariobl@fedoraproject.org> - 1.7g18437d0-2
- New project homepage and download location
- No kbuildsycoca4 anymore because it is not applicable for the build

* Sat Dec 22 2012 Mario Blättermann <mariobl@fedoraproject.org> - 1.7g18437d0-1
- Initial package